;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;+
; NAME:
;       ibis_external
;
; PURPOSE:
;
; CATEGORY:
;
; CALLING SEQUENCE:
;       
;
; INPUTS:
;
; KEYWORD PARAMETERS:
;
; OUTPUTS:
;
;
; OPTIONAL OUTPUTS:
;
; EXAMPLE:
;
; MODIFICATION HISTORY:
;           2011-Nov, Alexandra Tritschler, NSO
;-
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
PRO ibis_external, input_dir, output_dir, $
                   BIN = bin, SWAP = swap

;;***************************************************************
;; set whitelight sizes
;;***************************************************************

     nx = bin[0] & ny = bin[1] 

;;***************************************************************
;; find speckle reconstructions
;;***************************************************************

     files = FILE_SEARCH(input_dir + '*.final', COUNT = ns)

;;***************************************************************
;; Loop through the reconstructions
;;***************************************************************

     FOR i = 0, ns -1 DO BEGIN

         tmp = read_rec(files[i], nx, ny)

         IF keyword_set(SWAP) then BYTEORDER, tmp, /LSWAP

         index = WHERE( finite(tmp, /NAN) EQ 1, COMPLEMENT = index_valid)

         IF index[0] NE -1 THEN tmp[index] = AVG( tmp[index_valid] )

         image = tmp
         statist, image

         s = SIZE(image)
         TVSCL, image
 
         ;; 
         ;; save aligned reconstruction
         ;;

         filename = output_dir + STRING(i, FORMAT='("speckle_", I3.3, ".sav")')

         SAVE, FILENAME = filename, image

         PRINT,'------------------------------------------------'
         PRINT,' saved: ', filename
         PRINT,'------------------------------------------------'

     ENDFOR

;;***************************************************************
;; Done
;;***************************************************************

END


