;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
;+
; NAME:
;       ibis_header.pro
;
; PURPOSE:
;
; CATEGORY:
;
; CALLING SEQUENCE:
;       tmp = ibis_header(file)
;
; INPUTS:
;
; KEYWORD PARAMETERS:
;
; OUTPUTS:
;       tmp = IBIS header structure
;
; OPTIONAL OUTPUTS:
;
; EXAMPLE:
;
; MODIFICATION HISTORY:
;           2011-Nov, Alexandra Tritschler, NSO
;-
;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
FUNCTION ibis_header, file


     FITS_OPEN, file, fcb
     nimages = fcb.NEXTEND

     info_str = ibis_create_struct(nimages)

     l = 0

     FOR j = 1, nimages DO BEGIN
            
         FITS_READ, fcb, data, header, EXTEN=j, /HEADER_ONLY, /NO_PDU
         info_str = ibis_info(header, info_str, file, j, l)
                 
         l = l+1

     ENDFOR

     FITS_CLOSE, fcb


RETURN, info_str

END
